import os
from pathlib import Path

root = os.environ.get(
    'PYTHON_UNITTEST_OUTPUT',
    Path.home() / 'model_server' / 'testing'
)

filename = 'D3-selection-01.czi'
czifile = {
    'filename': filename,
    'path': root / filename,
    'w': 1274,
    'h': 1274,
    'c': 5,
    'z': 1,
    'um_per_pixel': 1/3.9881,
}

filename = 'rgb.png'
rgbpngfile = {
    'filename': filename,
    'path': root / filename,
    'w': 64,
    'h': 128,
    'c': 3,
    'z': 1
}

filename = 'mono.png'
monopngfile = {
    'filename': filename,
    'path': root / filename,
    'w': 64,
    'h': 128,
    'c': 1,
    'z': 1
}

filename = 'zmask-test-stack.tif'
tifffile = {
    'filename': filename,
    'path': root / filename,
    'w': 512,
    'h': 512,
    'c': 2,
    'z': 7,
}

filename = 'mono_zstack_mask.tif'
monozstackmask = {
    'filename': filename,
    'path': root / filename,
    'w': 256,
    'h': 256,
    'c': 1,
    'z': 85
}

ilastik_classifiers = {
    'px': root / 'ilastik' / 'demo_px.ilp',
    'pxmap_to_obj': root / 'ilastik' / 'demo_obj.ilp',
    'seg_to_obj': root / 'ilastik' / 'demo_obj_seg.ilp',
    'px_color_zstack': root / 'ilastik' / 'px-3d-color.ilp',
    'ob_pxmap_color_zstack': root / 'ilastik' / 'ob-pxmap-color-zstack.ilp',
    'ob_seg_color_zstack': root / 'ilastik' / 'ob-seg-color-zstack.ilp',
}

roiset_test_data = {
    'multichannel_zstack': {
        'path': root / 'zmask-test-stack-chlorophyl.tif',
        'w': 512,
        'h': 512,
        'c': 5,
        'z': 7,
        'mask_path': root / 'zmask-test-stack-mask.tif',
        'mask_path_3d': root / 'zmask-test-stack-mask-3d.tif',
    },
    'pipeline_params': {
        'segmentation_channel': 0,
        'patches_channel': 4,
        'pxmap_channel': 0,
        'pxmap_threshold': 0.6,
    },
    'pixel_classifier': root / 'zmask' / 'AF405-bodies_boundaries.ilp',
}

output_path = root / 'testing_output'
output_path.mkdir(parents=True, exist_ok=True)